package biz.hammurapi.swing;

import javax.swing.tree.TreeNode;

/**
 * Classes which know how to display itself in a tree and table implement
 * this interface.
 * @author Pavel
 *
 */
public interface Visualizable {
	
	/**
	 * @param parent
	 * @param title
	 * @param o
	 * @return Tree node for displaying object in browser.
	 */
	TreeNode toTreeNode(TreeNode parent, String title);

}
