package biz.hammurapi.configx;

import org.apache.xmlbeans.XmlObject;

import biz.hammurapi.config.ConfigurationException;

/**
 * Classes which can be configured with XmlObject shall implement this
 * interface.
 * @author Pavel
 */
public interface XmlConfigurable {

	/**
	 * Configures object.
	 * @param spec
	 * @throws ConfigurationException
	 */
	void configure(XmlObject spec) throws ConfigurationException;
}
