package biz.hammurapi.convert;

/**
 * Base class for atomic converters.
 * @author Pavel
 *
 */
public abstract class AtomicConverterBase implements AtomicConverter {

	protected Class sourceType;
	protected Class targetType;

	public Class getSourceType() {
		return sourceType;
	}

	public Class getTargetType() {
		return targetType;
	}

	public AtomicConverterBase(Class sourceType, Class targetType) {
		super();
		this.sourceType = sourceType;
		this.targetType = targetType;
	}

	public String toString() {
		return "AtomicConverter of "+sourceType+" to "+targetType;
	}
}
