package biz.hammurapi.convert;

/**
 * Closure interface for converters.
 * @author Pavel
 */
public interface ConverterClosure {

	/**
	 * Converts source to target type. Target type is known to the closure
	 * but not to the calling code.
	 * @param source
	 * @return Instance of target type.
	 */
	Object convert(Object source);
}
