package biz.hammurapi.metrics.jmx;

import java.lang.management.ManagementFactory;

import javax.management.MBeanServer;

public class JmxPlatformMeasurementCategoryFactory extends JmxMeasurementCategoryFactory {

	private static MBeanServer MBEAN_SERVER = ManagementFactory.getPlatformMBeanServer();;
	
	/**
	 * This implementation tries to use Java 5 management features.
	 * Returns null if JVM is not of version 5.
	 * @return MBean server to register MBeans with
	 */
	protected MBeanServer getMBeanServer() {
		return MBEAN_SERVER;
	}

}
